package swing.podstawy;

import java.awt.Color;
import java.awt.Font;

import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.SwingConstants;

public class Okno3 {

	public static void main(String[] args) {
		JFrame okno = new JFrame("Nasza apka");
		okno.setSize(400, 300);
		okno.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		// po zamknięciu okna zostanie wyłączona cała aplikacja
		
		// do okna dodajemy komponent - JLabel, czyli fragment tekstu
		JLabel label1 = new JLabel("Hello world");
		// za pomocą różnych operacji set możemy wpłynąć na wygląd
		label1.setHorizontalAlignment(SwingConstants.CENTER);
		label1.setForeground(Color.RED);
		label1.setFont(new Font("Arial", Font.BOLD, 40));
		
		// ustawienie koloru tła:
		label1.setOpaque(true);
		// label1.setBackground(Color.YELLOW);
		// samodzielne utworzenie koloru - jest kilka możliwości, a ja podam dwie:
		// - wartości R G B jako liczby od 0 do 255
		// label1.setBackground(new Color(0, 200, 255));

		// - jedna liczba całkowita, w której zapisie szestanstkowym kolejne cyfry oznaczają 0xRRGGBB
		label1.setBackground(new Color(0xFFFFAA));
		
		okno.add(label1);
		
		okno.setVisible(true);
	}

}
